You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
Andrew Klychkov 50d027a7e1
CONTRIBUTING.md: replace the conteint with a link to the common contributing guidelines (#41)
1 year ago
.github/workflows Testing against 2.11 (#22) 1 year ago
changelogs Updated query_rules parameters: cache_empty_result, OK_msg, multiplex (#25) 1 year ago
meta Require ansible-base 2.9.10+ (#2) 2 years ago
plugins Updated query_rules parameters: cache_empty_result, OK_msg, multiplex (#25) 1 year ago
roles/proxysql initial commit (#1) 2 years ago
tests Remove ingore-2.12.txt (#28) 1 year ago
.gitignore bumping to v1.0.0 (#13) 2 years ago
CHANGELOG.rst added changelog (#14) 2 years ago
CONTRIBUTING.md CONTRIBUTING.md: replace the conteint with a link to the common contributing guidelines (#41) 1 year ago
CONTRIBUTORS Add CONTRIBUTORS file (#29) 1 year ago
LICENSE Initial commit 2 years ago
MAINTAINERS Add CONTRIBUTING.md, REVIEW_CHECKLIST.md, MAINTAINERS (#31) 1 year ago
README.md Update README (#40) 1 year ago
REVIEW_CHECKLIST.md Add CONTRIBUTING.md, REVIEW_CHECKLIST.md, MAINTAINERS (#31) 1 year ago
codecov.yml Add codecov.yml to fix file mapping (#4) 2 years ago
galaxy.yml bumping to v1.0.0 (#13) 2 years ago

README.md

ProxySQL collection for Ansible

Plugins CI Roles CI Codecov

This collection is a part of the Ansible package.

Code of Conduct

We follow Ansible Code of Conduct in all our interactions within this project.

If you encounter abusive behavior violating the Ansible Code of Conduct, please refer to the policy violations section of the Code of Conduct for information on how to raise a complaint.

Contributing to this collection

The content of this collection is made by good people like you, a community of individuals collaborating on making the world better through developing automation software.

All types of contributions are very welcome.

You don't know how to start? Refer to our contribution guide!

The current maintainers (contributors with write or higher access) are listed in the MAINTAINERS file. If you have questions or need help, feel free to mention them in the proposals. To learn how to maintain / become a maintainer of this collection, refer to the Maintainer guidelines.

Communication

We announce important development changes and releases through Ansible's The Bullhorn newsletter. If you are a collection developer, be sure you are subscribed.

Join us in the #ansible (general use questions and support), #ansible-community (community and collection development questions), and other IRC channels.

We take part in the global quarterly Ansible Contributor Summit virtually or in-person. Track The Bullhorn newsletter and join us.

For more information about communication, refer to the Ansible Communication guide.

Included content

Tested with Ansible

  • 2.9
  • 2.10
  • 2.11
  • devel

External requirements

The ProxySQL modules rely on a MySQL connector. The list of supported drivers is below:

  • PyMySQL
  • MySQLdb
  • Support for other Python MySQL connectors may be added in a future release.

Using this collection

Installing the Collection from Ansible Galaxy

Before using the ProxySQL collection, you need to install it with the Ansible Galaxy command-line tool:

ansible-galaxy collection install community.proxysql

You can also include it in a requirements.yml file and install it via ansible-galaxy collection install -r requirements.yml, using the format:

---
collections:
  - name: community.proxysql

You can also download the tarball from Ansible Galaxy and install the collection manually wherever you need.

Note that if you install the collection from Ansible Galaxy with the command-line tool or tarball, it will not be upgraded automatically when you upgrade the Ansible package. To upgrade the collection to the latest available version, run the following command:

ansible-galaxy collection install community.proxysql --upgrade

You can also install a specific version of the collection, for example, if you need to downgrade when something is broken in the latest version (please report an issue in this repository). Use the following syntax:

ansible-galaxy collection install community.proxysql:==X.Y.Z

See Ansible Using collections for more details.

Licensing

GNU General Public License v3.0 or later.

See LICENSE to see the full text.